Last modified: 2014-03-19 17:27:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 48641 - SpecialWatchlist and SpecialRecentChanges have too much duplicated divergent code
SpecialWatchlist and SpecialRecentChanges have too much duplicated divergent ...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Watchlist (Other open bugs)
1.22.0
All All
: Low enhancement (vote)
: 1.23.0 release
Assigned To: Bartosz Dziewoński
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-05-20 16:25 UTC by Bartosz Dziewoński
Modified: 2014-03-19 17:27 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bartosz Dziewoński 2013-05-20 16:25:56 UTC
SpecialWatchlist should extend SpecialRecentChanges. This has already been done for SpecialRecentchangeslinked back in 2008 in r36682, it should be pretty straightforward (but extremely boring) to do it for Watchlist, too.

Another commit to look at for inspiration might be r36376 (SpecialRecentChanges refactoring).
Comment 1 Bartosz Dziewoński 2013-05-20 16:30:57 UTC
Assigning to Brion 'cause he let that mess happen back in 2003. :P
Comment 2 Gerrit Notification Bot 2013-05-20 18:58:21 UTC
Related URL: https://gerrit.wikimedia.org/r/64615 (Gerrit Change I0fcc95850aa13ea7f4b5a4fdcfddb8ca6b66bf88)
Comment 3 Bartosz Dziewoński 2013-07-24 10:02:36 UTC
(That URL isn't really related.)
Comment 4 Bartosz Dziewoński 2013-11-08 00:12:29 UTC
I am working on this, will link patches here when I have something worth looking at.
Comment 5 Gerrit Notification Bot 2013-11-10 20:48:12 UTC
Change 89379 had a related patch set uploaded by Bartosz Dziewoński:
Make SpecialWatchlist extend SpecialRecentChanges: step 1

https://gerrit.wikimedia.org/r/89379
Comment 6 Bartosz Dziewoński 2013-11-10 20:49:17 UTC
That is just the first commit of a multi-commit stack. There are currently 8 commits, the latest being https://gerrit.wikimedia.org/r/94677 , and I will probably submit some more.
Comment 7 Gerrit Notification Bot 2013-12-31 09:41:10 UTC
Change 89379 merged by jenkins-bot:
Make SpecialWatchlist extend SpecialRecentChanges (temporarily)

https://gerrit.wikimedia.org/r/89379
Comment 8 MZMcBride 2014-01-20 07:47:30 UTC
Bartosz: status update? :-)  Are there still patches to review?
Comment 10 Bartosz Dziewoński 2014-03-19 10:48:59 UTC
More could be done (the code has a few @todos left), but the bulk of work has been completed. Good job, me!
Comment 11 Isarra 2014-03-19 17:27:57 UTC
Good job, you!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links